# TdApi.GetWebPageInstantView (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: GetWebPageInstantView

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetWebPageInstantView

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.WebPageInstantView>
it.tdlight.jni.TdApi.GetWebPageInstantView

Enclosing class:
  TdApi

public static final class TdApi.GetWebPageInstantView extends TdApi.Function<TdApi.WebPageInstantView>
Returns an instant view version of a web page if available. Returns a 404 error if the web page has no instant view page. Returns `WebPageInstantView`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`forceFull`
Pass true to get full instant view for the web page.
`String`
`url`
The web page URL.

## Constructor Summary

Constructors
Constructor
Description
`GetWebPageInstantView()`
Returns an instant view version of a web page if available.
`GetWebPageInstantView(DataInput input)`
Returns an instant view version of a web page if available.
`GetWebPageInstantView(String url, boolean forceFull)`
Returns an instant view version of a web page if available.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### url

public String url
The web page URL.

### forceFull

public boolean forceFull
Pass true to get full instant view for the web page.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetWebPageInstantView

public GetWebPageInstantView()
Returns an instant view version of a web page if available. Returns a 404 error if the web page has no instant view page. Returns `WebPageInstantView`

### GetWebPageInstantView

public GetWebPageInstantView(String url, boolean forceFull)
Returns an instant view version of a web page if available. Returns a 404 error if the web page has no instant view page. Returns `WebPageInstantView`

Parameters:
  `url` - String The web page URL.
  `forceFull` - boolean Pass true to get full instant view for the web page.

### GetWebPageInstantView

public GetWebPageInstantView(DataInput input) throws IOException
Returns an instant view version of a web page if available. Returns a 404 error if the web page has no instant view page. Returns `WebPageInstantView`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`